## NAME

CURLOPT_PUT - make a HTTP PUT request

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PUT, long put);

## DESCRIPTION

A parameter set to 1 tells the library to use HTTP PUT to transfer data. The data should be set with CURLOPT_READDATA and CURLOPT_INFILESIZE.

This option is deprecated since version 7.12.1. Use CURLOPT_UPLOAD!

## DEFAULT

0, disabled

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Deprecated since 7.12.1. Do not use.

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_UPLOAD, CURLOPT_HTTPGET

This HTML page was made with roffit.